[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#487007: marked as done (tapiir: FTBFS: configure: error: "missing fltk")

Your message dated Fri, 27 Jun 2008 19:47:03 +0000
with message-id <E1KCJuR-0002b6-LJ@ries.debian.org>
and subject line Bug#487007: fixed in tapiir 0.7.1-9.1
has caused the Debian Bug report #487007,
regarding tapiir: FTBFS: configure: error: "missing fltk"
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

487007: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487007
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: tapiir
Version: 0.7.1-9
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080619 qa-ftbfs
Justification: FTBFS on i386


During a rebuild of all packages in sid, your package failed to build on

Relevant part:
>  /usr/bin/fakeroot debian/rules clean
> dh_testdir
> dh_testroot
> rm -f build-stamp configure-stamp
> # Add here commands to clean up after the build process.
> [ ! -f Makefile ] || /usr/bin/make distclean
> dh_clean
> dh_clean: Compatibility levels before 4 are deprecated.
> # Remove automake generated stuff
>  dpkg-source -b tapiir-0.7.1-9
> dpkg-source: warning: source directory 'tapiir-0.7.1-9' is not <sourcepackage>-<upstreamversion> 'tapiir-0.7.1'
> dpkg-source: warning: .orig directory name tapiir-0.7.1-9.orig is not <package>-<upstreamversion> (wanted tapiir-0.7.1.orig)
> dpkg-source: info: using source format `1.0'
> dpkg-source: info: building tapiir using existing tapiir_0.7.1.orig.tar.gz
> dpkg-source: info: building tapiir in tapiir_0.7.1-9.diff.gz
> dpkg-source: info: building tapiir in tapiir_0.7.1-9.dsc
>  debian/rules build
> dh_testdir
> # Add here commands to configure the package.
> aclocal-1.9 -I .
> fltk.m4:10: warning: underquoted definition of AM_PATH_FLTK
>   run info '(automake)Extending aclocal'
>   or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
> alsa.m4:15: warning: underquoted definition of AM_PATH_ALSA
> automake-1.9 -a --foreign
> autoconf
> ./configure --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for gawk... no
> checking for mawk... mawk
> checking whether make sets $(MAKE)... yes
> checking for g++... g++
> checking for C++ compiler default output file name... a.out
> checking whether the C++ compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
> checking for style of include used by make... GNU
> checking dependency style of g++... gcc3
> checking for gcc... gcc
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... gcc3
> checking for pthread_mutex_init in -lpthread... yes
> checking for jack_client_new in -ljack... yes
> checking for ALSA CFLAGS... 
> checking for ALSA LDFLAGS...  -lasound -lm -ldl -lpthread
> checking for libasound headers version >= 0.9.0... found.
> checking for snd_ctl_open in -lasound... yes
> checking how to run the C preprocessor... gcc -E
> checking for X... libraries , headers 
> checking for gethostbyname... yes
> checking for connect... yes
> checking for remove... yes
> checking for shmat... yes
> checking for IceConnectionNumber in -lICE... no
> checking for FLTK CXXFLAGS... 
> checking for FLTK LDFLAGS...  -lfltk  -lX11 -lXext
> checking for libfltk headers version >= 1.0.0... found.
> configure: error: "missing fltk"
> make: *** [configure-stamp] Error 1

The full build log is available from:

This rebuild was done with gcc 4.3 instead of gcc 4.2, because gcc 4.3
is now the default on most architectures (even if it's not the case on
i386 yet).  Consequently, many failures are caused by the switch to gcc
If you determine that this failure is caused by gcc 4.3, feel free to
downgrade this bug to 'important' if your package is only built on i386,
and this bug is specific to gcc 4.3 (i.e the package builds fine with
gcc 4.2).

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |

--- End Message ---
--- Begin Message ---
Source: tapiir
Source-Version: 0.7.1-9.1

We believe that the bug you reported is fixed in the latest version of
tapiir, which is due to be installed in the Debian FTP archive:

  to pool/main/t/tapiir/tapiir_0.7.1-9.1.diff.gz
  to pool/main/t/tapiir/tapiir_0.7.1-9.1.dsc
  to pool/main/t/tapiir/tapiir_0.7.1-9.1_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 487007@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Moritz Muehlenhoff <jmm@debian.org> (supplier of updated tapiir package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Fri, 27 Jun 2008 21:36:51 +0200
Source: tapiir
Binary: tapiir
Architecture: source i386
Version: 0.7.1-9.1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Moritz Muehlenhoff <jmm@debian.org>
 tapiir     - A tool for real time audio delay and feedback effects
Closes: 487007
 tapiir (0.7.1-9.1) unstable; urgency=low
   * Non-maintainer upload.
   * Fix FTBFS (Closes: #487007)
 291747d5f960b2961dda3f0b4f71aff415136d16 1042 tapiir_0.7.1-9.1.dsc
 a55b8ec67f601fb8e761a85f458b8717ead0094f 27099 tapiir_0.7.1-9.1.diff.gz
 db0bfc84dd10fe4f98ba1fdd498f95f172a51542 169822 tapiir_0.7.1-9.1_i386.deb
 598d7d4c0c222abd1e4142257121ee8ad157e0a21d2719654aaefcf1ba0e2d28 1042 tapiir_0.7.1-9.1.dsc
 c86d34e4d6571d7c3934b2a04bdb130c04c6a321a2e7a870fc69e0e11569e36d 27099 tapiir_0.7.1-9.1.diff.gz
 70230b7483fbac69abab191d7af9de8df9e691d36dce8640ffa746c9c52d26ed 169822 tapiir_0.7.1-9.1_i386.deb
 e2e4b6fddac742f0ac77e2875680afdc 1042 sound optional tapiir_0.7.1-9.1.dsc
 dfd6d373166ae0d84117ff0977b10518 27099 sound optional tapiir_0.7.1-9.1.diff.gz
 4dfc864240389737c4753ac4251d1144 169822 sound optional tapiir_0.7.1-9.1_i386.deb

Version: GnuPG v1.4.9 (GNU/Linux)


--- End Message ---

Reply to: